Subject: RE: [netlmm] #55: Define desired scalability more precisely

From: Pekka Savola <[email-masked]>
Date: Thu, 1 Jun 2006 14:27:40 +0300 (EEST)

On Wed, 31 May 2006, Narayanan, Vidya wrote:
>> First off all, you seem to be assuming that inter-LMA
>> "handover" is not service-interrupting.  That may or may not
>> be the case, as multiple LMAs are out of scope.
>>
>> Hence, you already seem to have a protocol requirement that
>> it's possible to deploy multiple LMAs, and that handovers
>> between ARs which connect to different LMAs are seamless.  Correct?
>
> Not really. I am not making any assumptions about seamlessness of
> handoffs across LMAs. Deployments should take that into account that
> NETLMM is not defining the handoff across LMAs and that it may result in
> disruption.

I'd agree with you if the NETLMM protocol specification includes a 
mandatory-to-implement requirement for a mobility management solution 
that allows handoffs across LMAs.

>> The number of users hides a number of other, more specific
>> requirements which depend on the actual solutions.  For example,
>>
>>   - whether you need to be able to deploy multiple LMAs for load
>>     balancing purposes (rather than just high availablility) yet still
>>     retain NETLMM benefits
>>   - whether a service provider can expect to deploy a single NETLMM
>>     domain for all its users instead of using another mobility
>>     management solution some handovers.
>>   - the amount of signalling (e.g., relating to movements, DAD,
>>     security, ...)
>>   - the amount of state at all ARs, at all LMAs, at the specific ARs
>>   - the amount of packet duplication required if IP subnet
>> emulation is
>>     used ("pinging all-hosts multicast address")
>
> Almost all the things you have mentioned above seem to me like
> deployment considerations. If the protocol draft were to have a section
> on deployment considerations to list this kind of stuff, that would be
> good. But, I don't see these as requirements for the protocol.
>
> All numbers and state impact, etc. are dependent on the size and
> capacity of the boxes deployed and so, having these associated with the
> protocol does not seem to make sense to me.

Yet, some of these are IMHO clearly protocol requirements, e.g., the 
first one ("does the protocol need to support inter-LMA handoffs?")

We seem to be in process of defining a solution that needs to be 
deployed in some unspecified deployments.  We can't just design a 
protocol without considering the deployment.

If you want to call these deployment considerations, I don't care that 
much .. but these would hopefully affect the design of the protocol in 
one way or another.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Fri, 2 Jun 2006 00:04:35 -0700

Adding my 2 cents..

It's difficult to provide exact numbers or coverage distance for scaling
because there are many factors involved that affect the result.  This
has already been mentioned in the thread.  I don't believe this is a
protocol issue.

Depending on the deployment environment, the inter-LMA mobility support
may become a protocol issue.  This feature is not part of the base
NETLMM protocol.  But this type of work item should be assessed in the
future when re-chartering happens.

Kent

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]] 
> Sent: Wednesday, May 31, 2006 12:49 AM
> To: [email-masked]
> Subject: Re: [netlmm] #55: Define desired scalability more precisely
> 
> I'd like to get discussion on this issue closed by Monday so 
> I can get the draft edited and submitted.
> 
> Seems like we have two opinions that the issue is an 
> implementation issue and not a protocol issue and one that it 
> should be stated as a protocol issue in the PS draft. One 
> poster also had an opinion about what the potential 
> scalability was but not specifically whether it should be 
> stated as a protocol issue.
> 
> Does anybody else have any opinion on the issue?
> 
>             jak
> 
> 
>

---

From: netlmm <[email-masked]>
Date: Tue, 06 Jun 2006 16:19:56 -0000

#55: Define desired scalability more precisely
------------------------------------------+---------------------------------
  Reporter:  [email-masked]     |       Owner:  [email-masked]
      Type:  defect                       |      Status:  closed                  
  Priority:  minor                        |   Milestone:  milestone2              
 Component:  draft-ietf-netlmm-nohost-ps  |     Version:  1.0                     
Resolution:  wontfix                      |    Keywords:  PS draft                
------------------------------------------+---------------------------------
Changes (by [email-masked]):

  * resolution:  => wontfix
  * status:  assigned => closed

Comment:

 No concensus for adding a quantitative limit on scalability. Some
 people thought it was an implementation issue. An issue with possible
 scalability limits involving DHCP in IPv4 was raised, but since the WG is
 not yet chartered for IPv4 work, consideration needs to be deferred until
 IPv4 work is chartered.

-- 
Ticket URL: <http://tools.ietf.org/wg/netlmm/trac/ticket/55>
netlmm <http://tools.ietf.org/wg/netlmm/>
_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm